Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.metadata.parse
Class ParseRequiredMetaData

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.metadata.parse.ParseRequiredMetaData

public class ParseRequiredMetaData
extends java.lang.Object

Id: ParseRequiredMetaData.java,v 1.0
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: ParseRequiredMetaData
Original Author: Yohan Colmant
This class parse the metadata containing all metadata the user have to set

Constructor Summary
`ParseRequiredMetaData(java.lang.String stringToParse)` Constructor

Method Summary
`java.lang.String` | `getKey()`
`java.util.ArrayList` | `getMetadataListEdition()` return the metadataList for edition
`java.util.ArrayList` | `getMetadataListEditionAndPublication()` return the metadataList for edition and publication
`java.util.ArrayList` | `getMetadataListPublication()` return the metadataList for publication
`void` | `setKey(java.lang.String key)`
`void` | `setMetadataList(RequiredMetaData metadata)` add a new MD to the list

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParseRequiredMetaData

    public ParseRequiredMetaData(java.lang.String stringToParse)
                          throws ApplicationException

  Constructor

Parameters:
  `stringToParse` - the xml we have to parse contained in this String
Throws:
  `ApplicationException`

Method Detail

### getMetadataListEdition

    public java.util.ArrayList getMetadataListEdition()

  return the metadataList for edition

  Returns:
    the metadataList for edition

### getMetadataListPublication

    public java.util.ArrayList getMetadataListPublication()

  return the metadataList for publication

  Returns:
    the metadataList for publication

### getMetadataListEditionAndPublication

    public java.util.ArrayList getMetadataListEditionAndPublication()

  return the metadataList for edition and publication

  Returns:
    the metadataList for edition and publication

### setMetadataList

    public void setMetadataList(RequiredMetaData metadata)

  add a new MD to the list

  Parameters:
    `metadata` - the space to add

### getKey

    public java.lang.String getKey()

  Returns:
    Returns the url.

### setKey

    public void setKey(java.lang.String key)

  Parameters:
    `key` - The key to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD